package demojsoncrud.dao;

import demojsoncrud.sqlserverdao.SqlserverDAOFactory;

public abstract class DAOFactory {

  public static final int SQL_SERVER = 1;
  public static final int MYSQL = 2;

  public static DAOFactory getDAOFactory(int whichFactory) {
    switch (whichFactory) {
      case SQL_SERVER:
        return new SqlserverDAOFactory();
      default:
        return null;
    }
  }

  public abstract PersonaDAO getPersonaDAO();

  public abstract UbigeoDAO getUbigeoDAO();

}
